DB_ENV->err(3)

NAME
DB_ENV->err

SYNOPSIS

#include <db.h>

void DB_ENV->err(DB_ENV *dbenv, int error, const char *fmt, ...);

DESCRIPTION
Prints an error message. The error comprises

prefix
    An optional prefix string (set with DB_ENV->set_errpfx), followed by a colon and a space.

printf
    An optional printf-style message (provided by fmt, or no printf message is fmt is NULL.

separator
    A colon and a space

errstring
    An error string provided by db_strerror.

PARAMETERS

error
    The error number.

fmt Either NULL or a printf-style message.

... The extra arguments needed by the printf.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.